View Issue Details

IDProjectCategoryView StatusLast Update
0031447LazarusDatabase Componentspublic2017-03-24 20:44
ReporterArtem Proskurnev Assigned ToJuha Manninen  
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Product Version1.7 (SVN) 
Summary0031447: AutoComlete error TDBLookupComboBox
DescriptionWhen I use a TDBLookupComboBox with AutoComlete, when enter the first character, then displays the first entry found on the symbol, but if you then press the second symbol, the field is completely cleared and the field is only the second symbol. In the TComboBox with AutoComlete there is no such problem
Steps To ReproduceConnect to MySQL/MariaDB database.
Create TQuerry with lookup field
Assign TDBLookupComboBox lookup field
Set AutoComlete:=true
Try enter first character, second character
TagsNo tags attached.
Fixed in Revisionr54468
LazTarget-
Widgetset
Attached Files

Relationships

related to 0031486 closedOndrej Pokorny SIGSEGV TDBLookupComboBox on modal form 

Activities

Artem Proskurnev

2017-03-09 22:35

reporter  

table.sql (1,705 bytes)

Artem Proskurnev

2017-03-09 22:35

reporter  

published.tar.gz (4,572 bytes)

Artem Proskurnev

2017-03-09 22:39

reporter   ~0098785

table.sql - create tables
published.tar.gz - example
set TDBLookupComboBox AutoComlete:=true on form2
and try "ab" or "ac"

"Cancel" and "Ok" - crash program:
http://bugs.freepascal.org/view.php?id=31486

Artem Proskurnev

2017-03-14 16:28

reporter   ~0098901

With patch all work

Artem Proskurnev

2017-03-14 16:29

reporter  

dblookupcombobox.patch (60 bytes)   
62c62
<   FDataLink.UpdateData;
---
>   FDataLink.Modified;
dblookupcombobox.patch (60 bytes)   

Artem Proskurnev

2017-03-14 16:29

reporter   ~0098902

patch for lcl/include/dblookupcombobox.inc lazarus 1.7

Juha Manninen

2017-03-14 22:07

developer   ~0098912

Please create a proper patch.
 http://wiki.freepascal.org/Creating_A_Patch

Artem Proskurnev

2017-03-20 21:33

reporter  

mypatch.diff (355 bytes)   
Index: lcl/include/dblookupcombobox.inc
===================================================================
--- lcl/include/dblookupcombobox.inc	(revision 54449)
+++ lcl/include/dblookupcombobox.inc	(working copy)
@@ -66,7 +66,7 @@
 
 procedure TDBLookupComboBox.Select;
 begin
-  FDataLink.UpdateData;
+  FDataLink.Modified;
   inherited Select;
 end;
 
mypatch.diff (355 bytes)   

Artem Proskurnev

2017-03-20 21:34

reporter   ~0099094

@Juha Manninen
Ok! Thanks for the link!
mypatch.diff

Juha Manninen

2017-03-22 21:21

developer   ~0099154

Applied, thanks.

Artem Proskurnev

2017-03-24 20:44

reporter   ~0099204

Ok!

Issue History

Date Modified Username Field Change
2017-02-26 03:10 Artem Proskurnev New Issue
2017-03-09 22:35 Artem Proskurnev File Added: table.sql
2017-03-09 22:35 Artem Proskurnev File Added: published.tar.gz
2017-03-09 22:39 Artem Proskurnev Note Added: 0098785
2017-03-14 16:28 Artem Proskurnev Note Added: 0098901
2017-03-14 16:29 Artem Proskurnev File Added: dblookupcombobox.patch
2017-03-14 16:29 Artem Proskurnev Note Added: 0098902
2017-03-14 22:07 Juha Manninen Note Added: 0098912
2017-03-20 21:33 Artem Proskurnev File Added: mypatch.diff
2017-03-20 21:34 Artem Proskurnev Note Added: 0099094
2017-03-21 12:24 Juha Manninen Relationship added related to 0031486
2017-03-22 21:18 Juha Manninen Assigned To => Juha Manninen
2017-03-22 21:18 Juha Manninen Status new => assigned
2017-03-22 21:21 Juha Manninen Fixed in Revision => r54468
2017-03-22 21:21 Juha Manninen LazTarget => -
2017-03-22 21:21 Juha Manninen Note Added: 0099154
2017-03-22 21:21 Juha Manninen Status assigned => resolved
2017-03-22 21:21 Juha Manninen Resolution open => fixed
2017-03-24 20:44 Artem Proskurnev Note Added: 0099204
2017-03-24 20:44 Artem Proskurnev Status resolved => closed